***

title: list_sip_endpoints
slug: /reference/python/rest/fabric/subscribers/list-sip-endpoints
description: List SIP endpoints for a subscriber.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

List SIP endpoints associated with a [subscriber](/docs/platform/subscribers).

<EndpointSchemaSnippet endpoint="GET /api/fabric/resources/subscribers/{fabric_subscriber_id}/sip_endpoints" />

## **Response Example**

<EndpointResponseSnippet endpoint="GET /api/fabric/resources/subscribers/{fabric_subscriber_id}/sip_endpoints" />

## **Example**

```python {9}
from signalwire.rest import RestClient

client = RestClient(
    project="your-project-id",
    token="your-api-token",
    host="your-space.signalwire.com",
)

response = client.fabric.subscribers.list_sip_endpoints("subscriber-id")
for ep in response.get("data", []):
    print(f"{ep['username']}: {ep['id']}")
```